org.apache.poi.hwmf.record

## Enum HwmfFill.WmfExtFloodFill.HwmfFloodFillMode

- java.lang.Object
- - java.lang.Enum<HwmfFill.WmfExtFloodFill.HwmfFloodFillMode>
  - - org.apache.poi.hwmf.record.HwmfFill.WmfExtFloodFill.HwmfFloodFillMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfFill.WmfExtFloodFill.HwmfFloodFillMode>
  Enclosing class:
    HwmfFill.WmfExtFloodFill

      public static enum HwmfFill.WmfExtFloodFill.HwmfFloodFillMode
      extends java.lang.Enum<HwmfFill.WmfExtFloodFill.HwmfFloodFillMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLOOD_FILL_BORDER` The fill area is bounded by the color specified by the Color member.
    `FLOOD_FILL_SURFACE` The fill area is bounded by the color that is specified by the Color member.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfFill.WmfExtFloodFill.HwmfFloodFillMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfFill.WmfExtFloodFill.HwmfFloodFillMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLOOD_FILL_BORDER

          public static final HwmfFill.WmfExtFloodFill.HwmfFloodFillMode FLOOD_FILL_BORDER

      The fill area is bounded by the color specified by the Color member. This style is identical to the filling performed by the META_FLOODFILL record.

    - #### FLOOD_FILL_SURFACE

          public static final HwmfFill.WmfExtFloodFill.HwmfFloodFillMode FLOOD_FILL_SURFACE

      The fill area is bounded by the color that is specified by the Color member. Filling continues outward in all directions as long as the color is encountered. This style is useful for filling areas with multicolored boundaries.

  - ### Method Detail

    - #### values

          public static HwmfFill.WmfExtFloodFill.HwmfFloodFillMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfFill.WmfExtFloodFill.HwmfFloodFillMode c : HwmfFill.WmfExtFloodFill.HwmfFloodFillMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfFill.WmfExtFloodFill.HwmfFloodFillMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.